Subject: Re: bug#43610: IceCat segfault

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 11 Jul 2022 14:38:02 -0400

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hi Alex,
>
> Alex ter Weele <[email-masked]> skribis:
>
>> All I had to delete was the line
>>
>> user_pref("network.captive-portal-service.enabled", true);
>>
>> from ~/.mozilla/icecat/$my-profile/prefs.js.
>
> Good to know.  Who could have guessed?
>
>> Methodology: I put my whole profile into a git repo, then deleted it file
>> by file with
>>
>> for i in * ; do
>> rm $i
>> git commit -am "Remove $i"
>> done
>>
>> then I used git bisect to find which file(s) had to be deleted before
>> icecat wouldn't segfault.

It seems the problem had to do with problematic migration of an IceCat
profile between versions?

If so, I'd think that'd be an upstream rather than a Guix issue.
Closing, because the issue is very old, and the lack of activity on its
tracker suggests it hasn't reoccurred since.

Feel free to reopen otherwise.

Thanks,

Maxim